/**********************************************************************************************
 Copyright (c) 2014 DisplayModule. All rights reserved.

 Redistribution and use of this source code, part of this source code or any compiled binary
 based on this source code is permitted as long as the above copyright notice and following
 disclaimer is retained.

 DISCLAIMER:
 THIS SOFTWARE IS SUPPLIED "AS IS" WITHOUT ANY WARRANTIES AND SUPPORT. DISPLAYMODULE ASSUMES
 NO RESPONSIBILITY OR LIABILITY FOR THE USE OF THE SOFTWARE.
 ********************************************************************************************/

#ifndef DM_TFT_S6D0164_h
#define DM_TFT_S6D0164_h

#include "DmTftBase.h"

class DmTftS6D0164 : public DmTftBase
{
public:

  DmTftS6D0164(PinName rd = A0, PinName wr = A1, PinName dc = A2,  PinName cs = A3 , PinName rst = A4);
   
  virtual ~DmTftS6D0164();
  virtual void init(void);
private:
  void send8BitData(uint8_t data);
  void writeBus(uint8_t data);

  virtual void setAddress(uint16_t x0, uint16_t y0, uint16_t x1, uint16_t y1);
  virtual void sendCommand(uint8_t index);
  virtual void sendData(uint16_t data);

  static const uint16_t _width;
  static const uint16_t _height;

  PinName _wr, _cs, _dc, _rst , _rd;
  DigitalOut* _pinDC, *_pinRST, *_pinWR, *_pinRD;
  BusOut *_virtualPortD;
};

typedef DmTftS6D0164 LCDTFT9314;
#endif



